Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util.text
Interface AdvancedMessageFormat.Function

All Known Implementing Classes:
  FONode.GatherContextInfoFunction

Enclosing interface:
  AdvancedMessageFormat

public static interface AdvancedMessageFormat.Function

Implementations of this interface do some computation based on the message parameters given to it. Note: at the moment, this has to be done in a local-independent way since there is no locale information.

Method Summary
`java.lang.Object` | `evaluate(java.util.Map params)` Executes the function.
`java.lang.Object` | `getName()` Returns the name of the function.

Method Detail

### evaluate

    public java.lang.Object evaluate(java.util.Map params)

  Executes the function.

  Parameters:
    `params` - the message parameters
  Returns:
    the function result

### getName

    public java.lang.Object getName()

  Returns the name of the function.

  Returns:
    the name of the function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.